POST V1/RubsandVCR.{ext}/ViewRubsInventory?Type={Type}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
Type

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.ViewSiteEntity
NameDescriptionTypeAdditional information
SiteId

No description available

string

None.

MeterId

No description available

string

None.

SiteGroup

No description available

string

None.

sitenumber

No description available

string

None.

Storetype

No description available

string

None.

city

No description available

string

None.

state

No description available

string

None.

status

No description available

string

None.

month

No description available

string

None.

year

No description available

string

None.

SiteName

No description available

string

None.

SiteAddress

No description available

string

None.

groupid

No description available

string

None.

acctid

No description available

string

None.

accountnumber

No description available

string

None.

vendorid

No description available

string

None.

vendorname

No description available

string

None.

utility

No description available

string

None.

attributename

No description available

string

None.

sharingsites

No description available

string

None.

sharingsaccount

No description available

string

None.

attributevalue

No description available

string

None.

meternumber

No description available

string

None.

meterlocation

No description available

string

None.

vendorservicetype

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "siteId": "sample string 1",
  "meterId": "sample string 2",
  "siteGroup": "sample string 3",
  "sitenumber": "sample string 4",
  "storetype": "sample string 5",
  "city": "sample string 6",
  "state": "sample string 7",
  "status": "sample string 8",
  "month": "sample string 9",
  "year": "sample string 10",
  "siteName": "sample string 11",
  "siteAddress": "sample string 12",
  "groupid": "sample string 13",
  "acctid": "sample string 14",
  "accountnumber": "sample string 15",
  "vendorid": "sample string 16",
  "vendorname": "sample string 17",
  "utility": "sample string 18",
  "attributename": "sample string 19",
  "sharingsites": "sample string 20",
  "sharingsaccount": "sample string 21",
  "attributevalue": "sample string 22",
  "meternumber": "sample string 23",
  "meterlocation": "sample string 24",
  "vendorservicetype": "sample string 25"
}

application/xml, text/xml

Sample:
<ViewSiteEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <MeterId>sample string 2</MeterId>
  <SiteAddress>sample string 12</SiteAddress>
  <SiteGroup>sample string 3</SiteGroup>
  <SiteId>sample string 1</SiteId>
  <SiteName>sample string 11</SiteName>
  <Storetype>sample string 5</Storetype>
  <accountnumber>sample string 15</accountnumber>
  <acctid>sample string 14</acctid>
  <attributename>sample string 19</attributename>
  <attributevalue>sample string 22</attributevalue>
  <city>sample string 6</city>
  <groupid>sample string 13</groupid>
  <meterlocation>sample string 24</meterlocation>
  <meternumber>sample string 23</meternumber>
  <month>sample string 9</month>
  <sharingsaccount>sample string 21</sharingsaccount>
  <sharingsites>sample string 20</sharingsites>
  <sitenumber>sample string 4</sitenumber>
  <state>sample string 7</state>
  <status>sample string 8</status>
  <utility>sample string 18</utility>
  <vendorid>sample string 16</vendorid>
  <vendorname>sample string 17</vendorname>
  <vendorservicetype>sample string 25</vendorservicetype>
  <year>sample string 10</year>
</ViewSiteEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.